<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org">
<head>
<title th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).PROPERTY_PROJECT_NAME}}"></title>
</head>
<body>
  <th:block th:fragment="form">
    <form class="ui form" id="wikipage-form" th:object="${wikipage}" method="post">
      <input type="hidden" th:field="*{wiki}" />
      <input type="hidden" th:field="*{id}" />
      <input type="hidden" th:field="*{created}" />
      <input type="hidden" th:field="*{createdBy}" />
      <div>
        <div class="fields">
          <th:block th:replace="common/fragments/input :: text(label = #{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_PROPERTY_NAME}}, 
			                                                   field = 'title', 
			                                                   required = true, 
                                                               maxlength = 50,
                                                               placeholder = 'Title',                                                               
			                                                   columnsize = 'sixteen wide'
			                                                   )" />
        </div>
        <div class="field">
          <textarea name="content" id="content" th:rows="${T(pt.com.scrumify.helpers.ConstantsHelper).DEFAULT_CKEDITOR_ROWS}" th:field="*{content}"></textarea>
        </div>
        <div class="fields">
          <th:block th:replace="common/fragments/input :: toggle(label = #{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_ACTIVE}}, 
		                                                               field = 'active', 
		                                                               required = true, 
		                                                               option = '',
		                                                               localized = false,
		                                                               message = '',
		                                                               columnsize = 'two wide',
		                                                               function = ''
		                                                               )" />
        </div>
        <br />
        <th:block th:replace="common/fragments/form :: actionbuttons(icon1 = ${T(pt.com.scrumify.helpers.ConstantsHelper).ICON_BACK},
	                                                                      icon1text = ${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_BACK},
	                                                                      icon1url = ${T(pt.com.scrumify.helpers.ConstantsHelper).MAPPING_WIKIS},
	                                                                      icon2 = ${T(pt.com.scrumify.helpers.ConstantsHelper).ICON_SAVE},
	                                                                      icon2text = ${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_SAVE},
	                                                                      icon2url = ''
	                                                                      )" />
        <input type="hidden" th:name="${_csrf.parameterName}" th:value="${_csrf.token}" />
        <br />
      </div>
    </form>
    <script th:src="@{${T(pt.com.scrumify.helpers.ConstantsHelper).SCRIPT_WIKIS_PAGES_JS}}"></script>
    <script th:src="@{${T(pt.com.scrumify.helpers.ConstantsHelper).SCRIPT_CKEDITOR_JS}}"></script>
  </th:block>
</body>
</html>